#ifndef RATINGLABEL_H
#define RATINGLABEL_H

#include <QLabel>
#include <QHBoxLayout>

class RatingLabel : public QLabel  {
    Q_OBJECT

    public:
        // create rating label with number of rating [0,5]
        RatingLabel (int rating,QWidget *parent=0, Qt::WindowFlags f=0);
        void setBackgroundColor (QString);
    private:
        QString empty;
        QString filled;
        QHBoxLayout *layout;

    };
#endif // RATINGLABEL_H


