#ifndef APPLICATIONCOMMENTSWIDGET_H
#define APPLICATIONCOMMENTSWIDGET_H

#include <QtGui/QWidget>

#include "appdownloader-comm/MaemoApplicationDetails.h"
#include "appdownloader-comm/MaemoComment.h"
#include "commentitemwidget.h"

namespace Ui {
    class ApplicationCommentsWidget;
}

class ApplicationCommentsWidget : public QWidget {
    Q_OBJECT
    Q_DISABLE_COPY(ApplicationCommentsWidget)
public:
    explicit ApplicationCommentsWidget(MaemoApplicationDetails*,QWidget *parent = 0);
    virtual ~ApplicationCommentsWidget();

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::ApplicationCommentsWidget *m_ui;
    MaemoApplicationDetails *appDetails;
};

#endif // APPLICATIONCOMMENTSWIDGET_H
